
TYPO3 CMS Usability Team - Feature # 51965

Status: Closed Priority: Must have
Author: Ernesto Baschny Category: Design
Created: 2013-09-12 Assigned To: Jens Hoffmann
Updated: 2015-07-16 Due date:
Tags:
Subject: New Install Tool redesign opportunity
Description

Hi UX guys,

the Install Tool has been refactored "under the hood" and totally rearranged in the presentation. This is currently the "developers'
style".
There are some patches coming in to "improve the usability", but we would love to see some input coming from the UX team.
Jens, Lars, please login to the test-instance you have access to and checkout the Install Tool. Click through the options and if you
have some time, please present some consistent alternative "look&feel" for it, considering first the current functionality.
If you think an overall "rearrangement" of options or menu is required, please discuss this before starting to present screens, as we
have to first assess if this is still feasible to achieve in the remaining time.

That would be awesome!

Thanks!

Subtasks:
Feature # 52087: Install Tool > All Configuration: "Write Configuration" Submit button Resolved
Related issues:
related to TYPO3 CMS Usability Team - Feature # 56754: Tex changes in the Ins... Resolved 2014-03-11
related to Core - Task # 56941: Return the 1-2-3 step icons in the step insta... Resolved 2014-03-15

History
#1 - 2013-09-13 10:19 - Jens Hoffmann
- Status changed from New to Accepted
- Assigned To set to Jens Hoffmann

Hi,

Christian got some feedback from my side already.
He was supposed to send some screenshots to me.
Maybe he could attach them here?

I will try to install the latest version and review the
status quo of the tool. Thanks for the reminder.

Greez Jens

#2 - 2013-09-13 10:48 - Ernesto Baschny

We could skype about it if you would like to get some more infos or directions on what areas deserve more "love" (in our opinion).
#3 - 2013-09-13 18:34 - Jens Hoffmann

Here is the current Install-Process and the 
Intall-Tool as Screens with some Feedback.

Todo's for the UX-Team are below as Bulletpoints.

Install:

    1. http://redpen.io/xdk5sg Initial opening
        -  Create new "additional" BTN styles
        -  Come up with a dynamic 1-2-3 process indication / visual
    2. http://redpen.io/jgdh6x Automatically misconfigured rights 
    3. http://redpen.io/6c5u4k Error after manual correction 
    4. http://redpen.io/9z6hyw Enter DB Data
    5. http://redpen.io/9bjtg2 Select DB
    6. http://redpen.io/vspngz Create user and import base data
    7. http://redpen.io/ohge82 Auto configuration and login
        -  Design new "finished" screen

Backend:

    1. http://redpen.io/y8g6jc Login (Automatically broken right .. again)
    2. http://redpen.io/bf3tnk Backend .. Yeah .. Flat-Style :)

Install-Tool:

    1. http://redpen.io/fkr56n Install Tool (Locked)
    2. http://redpen.io/ndhyvf Login
        -  Compare Design with BE-Login Layout
    3. http://redpen.io/2gjmbq Welcome
        -  Visual styling of this page (Text-Size, Headlines, Inline CTA, Columns?)
        -  Style sub-sections in the Menu.
    4. http://redpen.io/41fdv3 Important actions
        -  Style the counter
            -  TopWidget counter
            -  Version counter
            -  Issue counter
    5. http://redpen.io/wsoxuz System environment
    6. http://redpen.io/69d4mb Configuration presets
    7. http://redpen.io/aw349q Folder structure
    8. http://redpen.io/pkebqf Folder structure (Automatically .. File error .. again)
    9. http://redpen.io/5usz81 Forbidden (after Reload)
    10. http://redpen.io/6zokc9 Test setup
        -  Provide new test images
    11. http://redpen.io/5utyo2 Update wizard (Init)
    12. http://redpen.io/j2z63k Update wizard (After "all" updates)
    13. http://redpen.io/18y3ao Change configuration values
    14. http://redpen.io/73gu8b Change configuration values (Section open)
    15. http://redpen.io/c3zsnt Clean up your installation
        -  Define a style for Accordions and Help Dialogs

More feedback will follow.
Greez Jens

#4 - 2013-09-13 18:54 - Jens Hoffmann
- File Install-Tool.zip added

All screens.

#5 - 2013-09-13 20:27 - Ernesto Baschny

Jens, some of the linked redpen links are not working, could you click through them and correct the wrong ones? I.e. http://redpen.io/1qx65g ..
Thanks!

#6 - 2013-09-13 21:00 - Christian Kuhn

Thanks Jens!

I started looking at some of your remarks and will try to start with further "easy" patches, I also added some remarks and questions already.

We already did some changes after your first feedback, eg. the number of failed tests in "Environment check" is now shown, and the "OK Haken" on
all buttons are gone (while the exclamation mark buttons are still there).

#7 - 2013-09-18 11:48 - Jens Hoffmann

I added feedback to all screens.
And fixed the broken once on RedPen.

@Team: Could you do so, too. (If i missed something, or you disagree with what I wrote).
@Ernesto & Christian: How can we proceed?

Greez Jens

#8 - 2013-09-19 13:31 - Ernesto Baschny

Thanks for that input Jens, highly appreciated!

We need to split up some tasks from your list to keep them "doable".

One part would be to fix and adapt the textual part in the existing functionality. Do you have someone who could deliver these texts? Should we try to
get some native speaker to help us out (maybe Jeff Segars..)?

Some other parts are "cosmetical adjustments" (CSS, styling) and larger parts are really added or enhanced functionality. For the last part I think
Christian will most probably have the best overview of what could be "split out" as individual issues to be tackled.

#9 - 2013-10-18 00:26 - Jens Hoffmann
- Status changed from Accepted to Needs Feedback
@Ernesto:

    -  What is the status here? 
    -  Are some issues solved? 
    -  Should I reReview the Installer?

Greez Jens

#10 - 2013-10-18 16:03 - Ernesto Baschny

@Jens, I will try to strip down your list into a) what's solved, b) what will be solved, c) what could be solved and d) what cannot be solved, so that we
can focus on b and c (in this order).

But not today! :) Next week! Thanks for reminding me about it.

#11 - 2014-03-11 10:37 - Cynthia Mattingly

The install screen on a fresh version also has different text: https://redpen.io/xomjry

#12 - 2014-03-11 10:43 - Ernesto Baschny

I posted a reply on the comment, Cynthia, thanks!

#13 - 2014-03-24 08:57 - Jens Hoffmann

And all other points? What is the status here?
Was someone able to finish the open points? :)

Greez Jens

#14 - 2014-03-24 11:20 - Ernesto Baschny

Hi Jens, several things were indeed solved, but some are of course still open (or even open to discussion or lacking visuals). Would be boring if
achieved 100%. To get more out of it, requires a more interactive work with some designer / UX, which was not possible due to time constraints on all
sides.

I am happy with the solution so far, but it can be further improved and optimized in the versions to come. I would suggest to take a look at the current
state for the 6.2.0 release, to compile a new list of findings or keep the open stuff open and separated from the already "done" things.

Some tiny optimizations could even still get it's way into 6.2.1, but bigger changes (i.e. "Subsections" in the menu) will be postponed for 6.3 or later.

I would prefer using InvisionApp for this in future, which allows easier browsing through the screens (instead of having individual screens for them). It
proved to be very helpful in your 6.2 overview some months ago.

#15 - 2014-10-27 01:08 - Felix Kopp
- Status changed from Needs Feedback to Accepted
- Target version changed from TYPO3 6.2 LTS to 7.0
#16 - 2015-03-11 23:13 - Stephan Großberndt

Whats the status here? Target version cannot be 7.0 any more.

#17 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.0 to 7.4 (Backend)

#18 - 2015-07-16 10:16 - Benjamin Mack
- Status changed from Accepted to Closed

Install Tool rework is taken care of, final styling is getting in currently.

Files
Install-Tool.zip 4 MB 2013-09-13 Jens Hoffmann
